Subject: United Nations report on Internet standards

From: Vittorio Bertola <[email-masked]>
Date: Mon, 16 Mar 2020 16:29:12 +0100 (CET)

Hello,

I am not sure of which IETF list is appropriate for this. It concerns relationships with non-technical stakeholders and their representation in the standards-making process, a matter that has been popping up here and there in several places (for example, in the discussion of draft-iab-for-the-users, or in HRPC).

The Internet Governance Forum of the United Nations commissioned a study to understand the reasons for the lack of adoption of Internet standards that are fundamental for security, mentioning DNSSEC and RPKI among others. I was not involved in the study, but the report came out a few days ago:

https://www.intgovforum.org/multilingual/index.php?q=filedepot_download/9615/2023

It formulates (section 8.1) six recommendations, of which the sixth is specifically aimed at the IETF and other Internet standards organizations:

"Standardisation processes are advised to include a consultation phase with government and industry policy makers, and civil society experts."

There is also a page (section 7.13) discussing "Communication from/to the IETF", and how to make it better.

As I am active both here and at the IGF, I would be interested in comments and reactions. I have been asked to organize a session on this at the next EuroDIG, the European preparatory conference for the global IGF, and it would be good to have people from the IETF in it. So feel free to send me your opinions.

--

Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] mailto:[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Eliot Lear <[email-masked]>
Date: Mon, 16 Mar 2020 16:35:08 +0100

Hi,

> On 16 Mar 2020, at 16:29, Vittorio Bertola <vittorio.bertola=[email-masked]> wrote:
> 
> "Standardisation processes are advised to include a consultation phase with government and industry policy makers, and civil society experts.”
> 

Individuals from governments, industry policy makers, and civil society experts are welcome to participate in all IETF community activities, at draft conception, working group formation or assignment, working group adoption, working group development, IETF last call, and then errata/updates to that work.  All that is required is an email account.

Eliot

---

From: Keith Moore <[email-masked]>
Date: Mon, 16 Mar 2020 11:37:37 -0400

On 3/16/20 11:35 AM, Eliot Lear wrote:

>
> Individuals from governments, industry policy makers, and civil 
> society experts are welcome to participate in all IETF community 
> activities, at draft conception, working group formation or 
> assignment, working group adoption, working group development, IETF 
> last call, and then errata/updates to that work.  All that is required 
> is an email account.

+1

But governments think they should get privileged access and veto power.

Keith

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Mon, 16 Mar 2020 16:49:18 +0100

+1

    Keith

Which they should not have of course!

ISOC has invited to participate in IETF fellows from governments. I think that has been very useful and should be continued.

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 16 Mar 2020 11:50:53 -0400

the seciton you point to lists a number of items.  Some of them are 
understandable.  Some of them are potentially valuable, depending upon 
what subtext is intended.  Some of them ignore the fact that there are 
good legal reasons for not doing some things.  (e.g. discussing business 
cases can be quite challenging; translation introduces a host of 
complexities, particularly for standards where the specific wording was 
contentious.)

the bigger issue is that there does not seem to be any relationship 
between the list of items and the conclusion (which you quote below). 
Without grounding on purpose and clarity on meaning of that conclusion, 
it simply does not follow from the preceding text.

Yours,
Joel

On 3/16/2020 11:29 AM, Vittorio Bertola wrote:
> Hello,
> 
> I am not sure of which IETF list is appropriate for this. It concerns 
> relationships with non-technical stakeholders and their representation 
> in the standards-making process, a matter that has been popping up here 
> and there in several places (for example, in the discussion of 
> draft-iab-for-the-users, or in HRPC).
> 
> The Internet Governance Forum of the United Nations commissioned a study 
> to understand the reasons for the lack of adoption of Internet standards 
> that are fundamental for security, mentioning DNSSEC and RPKI among 
> others. I was not involved in the study, but the report came out a few 
> days ago:
> 
> It formulates (section 8.1) six recommendations, of which the sixth is 
> specifically aimed at the IETFand other Internet standards organizations:
> 
> "Standardisation processes are advised to include a consultation phase 
> with government and industry policy makers, and civil society experts."
> 
> As I am active both here and at the IGF, I would be interested in 
> comments and reactions. I have been asked to organize a session on this 
> at the next EuroDIG, the European preparatory conference for the global 
> IGF, and it would be good to have people from the IETF in it. So feel 
> free to send me your opinions.
> 
> -- 
> 
> [email-masked]  <mailto:[email-masked]>

---

From: Kyle Rose <[email-masked]>
Date: Mon, 16 Mar 2020 09:54:18 -0600

Yup. They know where to find us. Our standards development process is very
open.

I imagine there are few participants who would be in favor of privileged
access or powers given to governments: I certainly would be vehemently
opposed to any such change in our processes.

On Mon, Mar 16, 2020, 9:35 AM Eliot Lear <lear=[email-masked]>
wrote:

> Hi,
>
> On 16 Mar 2020, at 16:29, Vittorio Bertola <
> vittorio.bertola=[email-masked]> wrote:
>
> specifically aimed at the IETF and other Internet standards organizations:
>
>
> with government and industry policy makers, and civil society experts.”
>
>
>
> Individuals from governments, industry policy makers, and civil society
> experts are welcome to participate in all IETF community activities, at
> draft conception, working group formation or assignment, working group
> adoption, working group development, IETF last call, and then
> errata/updates to that work.  All that is required is an email account.
>
> Eliot
>
>
>

---

From: Keith Moore <[email-masked]>
Date: Mon, 16 Mar 2020 11:55:05 -0400

> Which they should not have of course!
I emphatically disagree.

Keith

---

From: Keith Moore <[email-masked]>
Date: Mon, 16 Mar 2020 11:56:33 -0400

On 3/16/20 11:55 AM, Keith Moore wrote:

>>      >
>>      > Individuals from governments, industry policy makers, and civil
>>      > society experts are welcome to participate in all IETF community
>>      > activities, at draft conception, working group formation or
>>      > assignment, working group adoption, working group development, 
>> IETF
>>      > last call, and then errata/updates to that work.  All that is 
>> required
>>      > is an email account.
>>           +1

oh, sorry I misread what you wrote.   I agree that governments should 
not have privileged access or veto power.

Keith

---

From: Vittorio Bertola <[email-masked]>
Date: Mon, 16 Mar 2020 17:14:20 +0100 (CET)

>     Il 16/03/2020 16:35 Eliot Lear <lear=[email-masked]> ha scritto:
> 
Ok, I'm just relaying the message: participating in IETF activities as a non-engineer, just to notice and raise a hand when something will have non-technical impact (it's unclear how, since non-engineers would hardly understand the content of the messages), is seen as an almost impossible proposition - basically, as an euphemism for "the IETF is not interested in what anyone else thinks". And actually it is hard to participate even for engineers, unless they spend several years in a learning curve.

So in other circles there is the desire that the engineers, once having worked out their ideas, reach out to the rest of the Internet community, explain things in layman's terms, ask for comments and adjust the plans, to make sure that the result is fine with everyone, which in turn will make successful adoption more likely.

Also, this is not just about stakeholder groups (i.e. governments), but about the type of people that are involved. The suggestion is that even companies that are already sending their engineers to the IETF should, at a specific stage and when standards have non-technical impacts, also send their policy and business people, in a context they would be comfortable in - which would also allow governments, NGOs and others to participate in the discussion. This would ensure that any non-technical contentious issues are addressed since the start, and that new standards already come out with a broadly agreed deployment plan, and willingness to deploy.

--

---

From: Khaled Omar <[email-masked]>
Date: Mon, 16 Mar 2020 16:31:42 +0000

>> "the IETF is not interested in what anyone else thinks". And actually it is hard to participate even for engineers, unless they spend several years in a learning curve.

IMHO, the issue is with the consensus, freedom of expression, and the domination of the closing minds towards a change in something old.

E.g. There are no specific rules at the IETF, anyone can talk with the toung of the organization and make his own rules, and the funny thing, if you will apply that rule on this person, he/she will not follow :D such as expressing your views on the main IETF mailing list.

I'm not expert in this area of how to organize the work place, or the ideas place, but at least to find a good result out of the working groups who focuses in this area.

I think many good things happeneing here, but the last things needs to be rearranged based on ALL participants.

Best regards,
Khaled Omar
@Eng_Khaled_Omar

Get Outlook for Android<https://aka.ms/ghei36>
________________________________
From: ietf <[email-masked]> on behalf of Vittorio Bertola <vittorio.bertola=[email-masked]>
Sent: Monday, March 16, 2020 6:14:20 PM
To: Eliot Lear <lear=[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: United Nations report on Internet standards

--

Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked]<mailto:[email-masked]>
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: "Paul Hoffman" <[email-masked]>
Date: Mon, 16 Mar 2020 09:49:05 -0700

On 16 Mar 2020, at 9:14, Vittorio Bertola wrote:

> Ok, I'm just relaying the message: participating in IETF activities as 
> a non-engineer, just to notice and raise a hand when something will 
> have non-technical impact (it's unclear how, since non-engineers would 
> hardly understand the content of the messages), is seen as an almost 
> impossible proposition - basically, as an euphemism for "the IETF is 
> not interested in what anyone else thinks".

That is not relaying the message from the report; it is adding your own 
opinion. Certainly some people agree with your opinion, but many others 
may not. The report says that they did not get cooperation from the IETF 
in preparing the report, but that's completely different than what you 
say above about the report.

> And actually it is hard to participate even for engineers, unless they 
> spend several years in a learning curve.

Those of us who have worked with IETF novices have heard the opposite 
from many new participants. Some might take "several years", other jump 
in at their first meeting or even just on their first mailing list. In 
an organization as open as the IETF, newcomers will inherently represent 
a wide range of skills.

--Paul Hoffman

---

From: Khaled Omar <[email-masked]>
Date: Mon, 16 Mar 2020 17:08:46 +0000

>> In an organization as open as the IETF, newcomers will inherently represent a wide range of skills.

Thats another thing, "newcomers", the idea is the most important in this case, you can spend 3 years waiting for a solution then you find it from a newcomer, thats should be appreciated and applied in a professional way, but not to ignore it for some fears of skills jumping, there are so long list of ideas that could take decades to apply :D

Best regards,
Khaled Omar
@Eng_Khaled_Omar

Get Outlook for Android<https://aka.ms/ghei36>
________________________________
From: ietf <[email-masked]> on behalf of Paul Hoffman <[email-masked]>
Sent: Monday, March 16, 2020 6:49:05 PM
To: Vittorio Bertola <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: United Nations report on Internet standards

--Paul Hoffman

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 16 Mar 2020 13:22:27 -0400

Hi,

I'm employed by the Internet Society but I'm responding to this
in my personal capacity.

> opposed to any such change in our processes.

I don't think that is the only thing going on in this report (though
it's definitely a thing), and I think it is important to understand
the other bit going on in order not to get in trouble from
misunderstanding.  (Also, we should be clear, this is not a UN report
and AFAICT is in fact is just an independent contribution from two
firms.  If it had been submitted in the IETF, it would be an Internet
Draft or maybe something published on the Independent Submission
stream.)

I have a number of deep reservations about that report and indeed the
problem description it started with.  But one of my concerns is what I
think of as a mistaken view it has of "stakeholders" on the Internet.
It basically has a demarcated-stakeholder model of how one
participates in standards-making.  This approach is not too dissimilar
to the mechanisms ICANN uses for its participation: one is involved in
the effort wearing one or more clear and distinct hat(s).  This
version of "multistakeholderism" is common among those who come from a
fairly institutionalist background, and is probably natural for those
from governments (where an important job is to assert power in one's
sphere of influence, but where another important job is not to
overstep the bounds).

The IETF does not naturally work this way, which is part of why its
institutional design _attends to_ the professional affiliations of
people without counting them as officially significant most of the
time.  The IETF for that reason does not really have a
"multistakeholder" design in the sense that people with a more
institutionalist bent tend to think of it.  The IETF standards
mechanism, for instance, does not have an official way to acknowledge
that there is a "legitimate role for governments" or other kinds of
demarcations that are common to others' process designs.  (To see how
that demarcated-stakeholder assumption in action, have a look at
essentially all of section 4 and section 5.4 of the resulting report.)
Similarly, the report is somewhat mystified by its inability to get
participation from "representatives of" the IETF.

If one is going to engage with this report from an IETF perpective, it
will be necessary to understand this basic gap in world-view that is
hiding behind it.  If one puts oneself in the position of someone who
understands the world as fundamentally political processes with
various kinds of officially-tokenized representatives (the
stakeholders) involved in the process, then the report seems like a
well-meaning attempte to incorporate standards for the monolithic into
that process.  It is only if you have a completely different
understanding of what the Internet is and how it functions that the
report seems to be tackling the wrong problem.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Warren Kumari <[email-masked]>
Date: Mon, 16 Mar 2020 13:57:53 -0400

On Mon, Mar 16, 2020 at 11:54 AM Kyle Rose <[email-masked]> wrote:
>
> Yup. They know where to find us. Our standards development process is very open.
>
> I imagine there are few participants who would be in favor of privileged access or powers given to governments: I certainly would be vehemently opposed to any such change in our processes.

I would also be opposed to any such change, but for completeness,
ICANN has the GAC - Governmental Advisory Committee.
While the GAC is an advisory committee[0], it holds special privilege
- see the bylaws for details:
https://www.icann.org/resources/pages/governance/bylaws-en/#article12

W
[0]: like the Root Server System Advisory Committee (RSSAC), Security
and Stability Advisory Committee[1] (SSAC), At-Large Advisory
Committee (ALAC)
[1]: Full disclosure: on which I serve.

>
>
> On Mon, Mar 16, 2020, 9:35 AM Eliot Lear <lear=[email-masked]> wrote:
>>
>> Hi,
>>
>> On 16 Mar 2020, at 16:29, Vittorio Bertola <vittorio.bertola=[email-masked]..org> wrote:
>>

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Randy Bush <[email-masked]>
Date: Mon, 16 Mar 2020 11:43:41 -0700

> to the mechanisms ICANN uses for its participation

and this is the poison at the root of the icann tree, competitive
constituencies as opposed to cooperative stewardship.

randy

---

From: "John Levine" <[email-masked]>
Date: 16 Mar 2020 20:28:13 -0400

>participation from "representatives of" the IETF.

When I got to that part I thought well, OK, but who do they expect to
pay for it?

-- 
Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: "Scott O. Bradner" <[email-masked]>
Date: Mon, 16 Mar 2020 21:03:47 -0400

Fwiw - the IETF has had people at various events over the years (mostly ITU-T ones but a few others)
wearing IETF (or ISOC) badges

Not speaking for the IETF but speaking with knowledge of what was going on the the IETF or with knowledge of
IETF processes. - their expenses were paid for by the companies that employed them

Scott

> On Mar 16, 2020, at 8:28 PM, John Levine <[email-masked]> wrote:
>

---

From: Fred Baker <[email-masked]>
Date: Tue, 24 Mar 2020 01:26:27 -0700

Reading through this thread, the disconnect that the UN is talking about becomes very obvious. Vittorio posted his note, and got back quite a variety of commentary such as "governments want special access and veto power", which may be true of some governments but is certainly not universally true. However, nobody seems to have actually read page 57 of the document or thought about what is requested. Shame on us.

> On Mar 16, 2020, at 8:29 AM, Vittorio Bertola <vittorio.bertola=[email-masked]> wrote:
> 

Translation in single syllable words potentially understandable by mere mortals: they would like us to talk with them - not in marketing language, but in policy language. Is that so very hard?

Speaking for myself, I have been to Brussels a number of times, and to the UN in New York at least once. It has always been wearing a specific corporation's name badge, which would no longer be the case. In my experience, governments have not asked for special access to the standards process, nor sought to veto things the IETF is doing. They have made requests - in IETF 39, in Munich, a representative of the European Commission was given an opportunity to speak in the plenary, and told us that if we didn't do something about spam, governments would (which governments have, as ineffectively as we have), and in a meeting with the UN Al-Quada Task Force, I found myself explaining that interpreting encrypted messages, especially such as pngs etc, in real time is pretty challenging.

Speaking very much for myself: if my costs in doing so were covered and issues with travel shutdowns were set aside, I would be willing to help out with that kind of conversation. That said, I'll bet that there are people for whom travel is less of an issue that could step up, or common A/V technologies could be brought to bear.

Good grief.

---

From: Jaap Akkerhuis <[email-masked]>
Date: Tue, 24 Mar 2020 12:54:46 +0100

Fred Baker writes:

 > <snip... >
 >
 > Speaking very much for myself: if my costs in doing so were covered and
 > issues with travel shutdowns were set aside, I would be willing to help
 > out with that kind of conversation. That said, I'll bet that there are
 > people for whom travel is less of an issue that could step up, or common
 > A/V technologies could be brought to bear.

When Olaf Kolkman was in the IAB, he spent quite some time in Brussel
convincing the EU to take the IETF seriously as a standard organization.
He might be abke to help here as well.

	jaap

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 24 Mar 2020 14:00:23 -0500

On 24 Mar 2020, at 3:26, Fred Baker wrote:

> Translation in single syllable words potentially understandable by 
> mere mortals: they would like us to talk with them - not in marketing 
> language, but in policy language. Is that so very hard?

To answer to your question, Fred: I think that for some of us, it's not 
so very hard, but for the vast majority of us, it really is hard. Which 
is ostensibly why we have one group of folks that, among many other 
things, are actually chartered to be our external liaison:

    The IAB acts as representative of the interests of the IETF and the
    Internet Society in technical liaison relationships with other
    organizations concerned with standards and other technical and
    organizational issues relevant to the world-wide Internet.

The IAB should be selected to be able to do that translation into policy 
language. (We should probably be telling the Nomcom that this is a 
requirement for at least some of them.) And even when they don't have a 
particular skill, the have the ability to set up a liaison to do so.

I tend to agree that the IETF itself shouldn't be the one doing policy 
communication with UN bodies.

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 27 Mar 2020 08:26:21 +0100

On Mon, Mar 16, 2020 at 04:29:12PM +0100,
 Vittorio Bertola <vittorio.bertola=[email-masked]> wrote 
 a message of 93 lines which said:

> I am not sure of which IETF list is appropriate for this. It
> concerns relationships with non-technical stakeholders and their
> representation in the standards-making process,

Well, it is mostly about what happens after (deployment of
standards, not definition of standards). As such, it has very few
requests specifically for IETF. Except:

> It formulates (section 8.1) six recommendations, of which the sixth
> is specifically aimed at the IETF and other Internet standards
> organizations:

> "Standardisation processes are advised to include a consultation
> phase with government and industry policy makers, and civil society
> experts."

As noted by several people here, the governements don't ask for a
voice (they already have it) but for a power of decision. One can
imagine what would have happened of RFC 1984 in such "consultation".

> There is also a page (section 7.13) discussing "Communication
> from/to the IETF", and how to make it better.

>From my experience, communicating with governements is very
frustrating: they don't listen and they hate being challenged ("if you
don't want to add backdoors, it means you support terrorism and,
worse, illegal file-sharing".)

Communicating with users is very important, of course, and we could
certainly do better in that respect. But just saying so is useless: it
is also necessary to explain how to do it better (communicating with
people who have other fields of expertise is hard, and you don't learn
it at engineering schools) and with which budget (it takes time and
dedication). ISOC does a good job here (see for instance
<https://www.internetsociety.org/resources/policybriefs/>), a lot of
other IETF participants do it on their own (I suspect the report would
like to have some sort of official outreach from the IETF; I don't see
why it is necessary, except may be because UN bodies want to
communicate with institutions, not people.) Practical advices on how
to improve that is welcome, not general "something should be done".

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 27 Mar 2020 08:36:27 +0100

On Mon, Mar 16, 2020 at 05:14:20PM +0100,
 Vittorio Bertola <vittorio.bertola=[email-masked]> wrote 
 a message of 70 lines which said:

> it is hard to participate even for engineers, unless they spend
> several years in a learning curve.

>From my personal experience, it is the same for politics. Did you try
to follow closely a law during its journey through the Parliament? It
is almost impossible for the ordinary citizen. You have to learn, it
is true for every human activity.

> So in other circles there is the desire that the engineers, once
> having worked out their ideas, reach out to the rest of the Internet
> community, explain things in layman's terms,

On the principle, we agree. But a lot of IETF participants already do
it. We write books <https://cyberstructure.fr/>, we write blog
articles on RFCs <https://www.bortzmeyer.org/rfcs.html>, we talk with
governements and civil societies (my last audition was about
ActivityPub). It is not perfect? I know. But how do improve it?
Explaining things "in layman's terms" is AS HARD AS WRITING THE RFC
and the people who are good at one task may not be perfect for the
other. Just asking for it ("something should be done") is not
sufficient.

> ask for comments and adjust the plans,

I let you imagine the difficulty of channeling such information, most
of it unstructured and not technically realistic. 

> to make sure that the result is fine with everyone,

Having everyone to agree is of course unrealistic. How will you
reconcile people who want to censor Sci-Hub through a lying DNS
resolver, and people who would like free access to scientific
knowledge (specially during a pandemic)?

---

From: Andrew Alston <[email-masked]>
Date: Fri, 27 Mar 2020 07:52:58 +0000

> community, explain things in layman's terms,

This is made even more difficult when in certain cases there is active discouragement of participation.  While not naming the individual in question, I have been told and I paraphrase here "If the operators had their way at the IETF there would be 10 solutions for everything"

When I chose to come to the IETF - and I held off for a long time - it was because there was a real issue that I saw coming, and my experience with the IETF has been interesting.  On the one hand, I have certain individuals and companies that are more than willing to work, compromise and seek a better solution.  On the other hand - there are certain vendors who have made it extremely clear that no matter how much participation, they will never budge off their positions.  I point out that one of the vendors, when asked if they would look at an inter-operability draft between two proposed solutions - since it was extremely clear that both solutions were entrenched and embedded by their proponents - told me quite clearly that it was their way or no way - and that they had zero interest in inter-operability with anything else - on the other hand - the other side stated that they would work with anyone to find a solution to the problem.

Basically what I am saying here is that I am not sure that it is the IETF and its methods of functioning that are the problem - it is in some cases the outright dominance of certain vendors and their attitudes towards engineers that are not from the same fold, who's views and opinions are automatically discarded, and the vendors that end up almost attempting to play the role of chair.  I've seen a vendor openly declare discussion on a topic closed - despite the fact that, that is very much the role of the chair - and there was no one to call them out.

You want wider participation from engineers and operators - the dominance and bullying by certain vendors has to be stopped.  That is the real problem in my view

Andrew

---

From: Joseph Potvin <[email-masked]>
Date: Fri, 27 Mar 2020 09:48:55 -0400

On Fri, Mar 27, 2020 at 3:54 AM Andrew Alston <
[email-masked]> wrote:

>
>
> This is made even more difficult when in certain cases there is active
> discouragement of participation.
>

Being a newbie here (IETF 105 was my first in this community), and arriving
from a 30-year career direction at the intersection of applied informatics
and economics (while several of my colleagues are full-stack developers),
I've been discretely exploring a potential fit for some novel methods that
our team have designed, with running code and alpha demo, all licensed
free/libre/open. I note: "The IETF is normally very welcoming to newcomers,
and tolerance is the rule. The technical level is quite high, so if you
write something that turns out to be wrong, you may get some quite frank
replies." (How to Start
<https://www.ietf.org/about/participate/get-started/starting/>)

I'm pleased to report that almost all interactions with people I've met
online or in-person in the IETF community have been very helpful. But I did
enjoy one of those "frank" replies just the other day. A week ago I shared
a 1-pager and some system documentation links with three long-time IETF
contributors who happened to have a new RFC approved for a technical use
case that my teams' work would probably complement nicely. (The substance
of it is not relevant to the current thread.) Here is what one of those
authors wrote back via email on 24 March:
"I read the draft paper.  I more or less understand where you are trying to
go. I, personally, don’t have any interest in pursuing the mechanisms
described there.  I don’t think they will work. I’d rather not get into an
argument about them, so no response is necessary. There will not be a
meeting of the xxxxx working group, which is the group that processed our
draft.  That work group will be concluding soon."

It's a good thing this is not the usual tone! :-/

To be fair, this respondent did add:
"Anyone is welcome to publish a draft and propose new work in the IETF.
You get agenda time when people read your draft, like your ideas and are
willing to work with you to bring them to fruition.  Given ecrit is
probably concluding, your best bet is to create a draft, submit it, and ask
on the ART Dispatch email list if there is any interest."

Well, I'll share a reflection on three aspects of this reply that in my
assessment present dis-incentives to increasing and improving productive
participation:

   1. "I don’t think they will work ... I’d rather not get into an
   argument", without offering even a smidgeon of a rationale for why the
   design would not work.
   2. There will not be a meeting of the xxxxx working group [and it] will
   be concluding soon" as if standards have finality (without any room for
   subsequent enhancements, extensions, complementary standards without
   causing delay to what has been concluded thus far).
   3. "You get agenda time when people read your draft, like your ideas and
   are willing to work with you", as if incumbents ever "like" and are
   "willing to work with" potential disrupters.

Considering some of the other comments in this thread, and reading it in
combination with ISoc's 2019 Internet Society Global Internet Report:
Consolidation in the Internet Economy
<https://future.internetsociety.org/2019/>, may I suggest that the IETF
community should be cautious about taking on some characteristics of *ye
olde* OSI. A core theme in David Clark’s “Designing an Internet
<https://books.google.ca/books?id=8CZyDwAAQBAJ&printsec=frontcover&dq=%22Designing+an+Internet%22&hl=en&sa=X&ved=0ahUKEwjJqKDh4rroAhWliOAKHWs2D2cQ6AEIJzAA#v=onepage&q=%22Designing%20an%20Internet%22&f=false>”
(2018) is the need to design a coherent and resilient approach to continued
evolution of the Internet in a manner consistent with its core principles.
He considers the answer to rest at the intersection of financial, business
and technology design:  “The ossification of customary business
relationships ... may be more of a barrier to innovation than the
ossification of technology". (p 251)

Joseph Potvin
Executive Director, Xalgorithms Foundation
Mobile: 819-593-5983
[email-masked]
https://www.xalgorithms.org

---

From: Michael Richardson <[email-masked]>
Date: Fri, 27 Mar 2020 14:31:44 -0400

> imagine what would have happened of RFC 1984 in such "consultation".

I have regularly asked my (gc.ca) government why they aren't regularly
involved in the IETF.  My "standards council of canada", is totally captured
by 1980 era ITU-types. Many are sure that the OSI stack is running the Internet.
1990s, and 2010s government "purges" mean that there is bimodal age
distribution: internet-clueless boomer with power, and internet-first
millenial with no power.  That is changing due to retirements, unfortunately,
the smartest "boomers" are the ones taking early retirement.

I point to US NIST, ISI, and how NSF has supported Internet things, and our
agencies do really dumb things.
(Like the university researcher who was funded for more than a year to discover
how MGCP was insecure)

I have also pointed out, that as an *operator* of a network with a spend of
about $1B-CDN/year (closer to $3B-CDN/year if you count all IT spending, much
of which have hidden network spends), I need to ask: why aren't you behaving
like an operator?   NANOG, ARIN.  They do show up a IETF meetings, when they
are in Canada, but they don't read the ML.

Canada's CSIS researchers are actually starting to do IETF security protocol
reviews.  This is a *significant* step forward.  I suspect it is the result
of above mentioned boomer retirement.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 28 Mar 2020 09:18:59 +1300

>> representation in the standards-making process,

The singularity of the IETF is that there is no "representation"
since all participants contribute as individuals. This is something
that I guarantee we have been trying to convey to government and
international officials since 1994 to my personal knowledge and
probably longer. While I was IAB chair (1995-2000) I spent quite a
lot of time doing that, since liaisons are an IAB responsibility.

Such officials have genuine difficulty in understanding this concept,
until they actually attend a few meetings.
 
>> phase with government and industry policy makers, and civil society

I've always understood that's what ISOC is for, and I've sat in
policy meetings with an ISOC accreditation in seats reserved for
"Civil Society".

> worse, illegal file-sharing".)

Exactly, but in fairness the NSA did send somebody to the IETF during
the pre-RFC1984 discussion. However, in general, officials are completely
flummoxed by the IETF notion of participation that is not representation.
As in "We don't care what the NSA thinks about key escrow, we want to hear
your personal technical explanation of how it improves end to end
security."

<snip>

On 28-Mar-20 07:31, Michael Richardson wrote:
...
> internet-clueless boomer with power...
...
> This is a *significant* step forward.  I suspect it is the result

Writing as a mainly retired boomer, I would like to point out
that the Internet was largely built by boomers. I don't think the
problem is so much there as in the arrogance that seems to be built
into civil servants - not because they are personally arrogant, but
because the civil service itself is intrinsically arrogant, knows best,
etc. So it's great if the next cohort of officials groks the Internet,
but that doesn't mean that they grok the IETF or will ever accept
RFC 1984, 2804 and 7258.

Stay well,
   Brian

---

From: Larry Masinter <[email-masked]>
Date: Fri, 27 Mar 2020 13:35:23 -0700

IETF has its own way of training, and better ways of introducing people to the collected wisdom should be explored.

A MOOC for new IETFers with specializations for document editors, attending meetings, reading RFCs, the standards process, security analysis, …?

For the case in hand, I suggested in all seriousness reflecting on

https://en.wikipedia.org/wiki/Evil_bit 

The evil bit is a fictional IPv4 packet header <https://en.wikipedia.org/wiki/IPv4#Header>  field proposed in RFC 3514 <https://tools.ietf.org/html/rfc3514> , a humorous April Fools' Day RFC <https://en.wikipedia.org/wiki/April_Fools%27_Day_RFC>  from 2003 authored by Steve Bellovin <https://en.wikipedia.org/wiki/Steven_M._Bellovin> . The RFC <https://en.wikipedia.org/wiki/Request_for_Comments>  recommended that the last remaining unused bit, the "Reserved Bit"[1] <https://en.wikipedia.org/wiki/Evil_bit#cite_note-1>  in the IPv4 <https://en.wikipedia.org/wiki/IPv4>  packet header, be used to indicate whether a packet had been sent with malicious intent, thus making computer security <https://en.wikipedia.org/wiki/Computer_security>  engineering an easy problem – simply ignore any messages with the evil bit set and trust the rest. 

Influence

The evil bit has become a synonym for all attempts to seek simple technical solutions for difficult human social problems which require the willing participation of malicious actors, in particular efforts to implement Internet censorship <https://en.wikipedia.org/wiki/Internet_censorship>  using simple technical solutions.

The best April 1 RFCs are the ones that serve as Reductio Ad Absurdum

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Sat, 28 Mar 2020 11:56:13 +0100

On Fri, Mar 27, 2020 at 01:35:23PM -0700,
 Larry Masinter <[email-masked]> wrote 
 a message of 193 lines which said:

> A MOOC for new IETFers with specializations for document editors,
> attending meetings, reading RFCs, the standards process, security
> analysis, …?

The EDU team creates a lot of resources
<https://www.ietf.org/about/participate/tutorials/> (see also
<https://www.ietf.org/about/participate/>.) Some people may prefer a
MOOC (I don't) but creating a MOOC is a lot of work, and it is very
hard to evolve it afterwards.